gnutls_openpgp_set_recv_key_function(3)

NAME
gnutls_openpgp_set_recv_key_function - API function

SYNOPSIS
#include <gnutls/openpgp.h>

void gnutls_openpgp_set_recv_key_function(gnutls_session_t session, gnutls_openpgp_recv_key_func func);

ARGUMENTS

gnutls_session_t session
    a TLS session

gnutls_openpgp_recv_key_func func
    the callback

DESCRIPTION
This funtion will set a key retrieval function for OpenPGP keys. This callback is only useful in server side, and will be used if the peer sent a key fingerprint instead of a full key. The retrieved key must be allocated using gnutls_malloc().

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/